=== debian/changelog ===
cairo-dock-plug-ins (3.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Detailed Upstream ChangeLog (beta 2 -> release)
    - Dbus: don't notify of startup if the applet is already controling a
      window
    - Dialogs: tooltip view: fixed the position of the widget inside the
      dialog when it's placed on top of the screen
    - Folder: watch for drop events onto the docks only
    - GMenu:
      - Apps: set the desktop environment to correctly exclude apps
      - Search: When there is no result, display 'Launch this command'
      - Search: launch app: do not restrict to the left click
      - Search: match: display name: locate a substring instead of compare
        the first chars
    - Indicator-Generic: forced the 'data' to be a GldiModuleInstance
    - logout: select shutdown menu item: do not create a list and iter all
      menu items, just save the pointer
    - Messaging Menu: Indicator3: detach the icon at startup: the icon is
      inserted when the entry will be added
    - Messaging Menu: with old versions of libindicator: fixed tiny memory
      leaks
    - po: updated translations
    - Switcher: correctly update the icon by listening more signals
    - Switcher: fixed the drawing of the desktop name in the desklet when
      it's larger than the desklet
    - Terminal: when dropped something in the terminal, take the data and
      not only the text + give the focus just after
    - All: menu functions have been renamed in libgldi
    - All: remove useless g_print
  * Some bugs have been fixed:
    - logout: UPower: invalid fastbin entry LP: #1212981
    - logout: Use logind for suspend/hibernate/poweroff/reboot LP: #1175810
    - keyboard: cairo-dock crashes on keyboard layout swtcher LP: #668061
    - keyboard: Cairo-dock is unable to get CAPS Lock and NumLck values
      LP: #476842
    - quick-browser: Error Message LP: #660261
    - recent-events: Move from zeitgeist-1.0 to zeitgeist-2.0 LP: #1197569
  * debian/control: bumped Cairo-Dock (core) version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Fri, 04 Oct 2013 15:11:09 +0200
