=== debian/changelog ===
cairo-dock-plug-ins (3.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.0 -> 3.3.1)
    - Sound applet: fixed the display of the icon when the rendering is
      'icon only' and also on reload
    - GMenu: fixed a compilation error when using GTK2 and gnome-menu3
    - Shortcuts: with GTK 3.6 and newer, gtk bookmarks is now available in
      '~/.config/gtk-3.0/bookmarks' instead of '~/.gtk-bookmarks'
  * debian/control: Bumped Cairo-Dock (core) version

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 08 Oct 2013 18:58:46 +0200
