## cairo-dock-plug-ins 3.3.2

=== debian/changelog ===
cairo-dock-plug-ins (3.3.2-0ubuntu2) trusty; urgency=low

  * No changes: Rebuild for the new version of GTK 

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 10 Dec 2013 22:57:18 +0100

cairo-dock-plug-ins (3.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release. (bug-fix version)
  * Detailed Upstream ChangeLog (3.3.1 -> 3.3.2)
    - Animated-icons: add the option to disable the 'opening animations'
      in Animated-icons' settings
    - DBus: third-party: init: register the applets after having set the
      text domain for gettext (to translate some titles)
    - Dock-rendering: panel view: fixed the input shape when there is a
      single group of icons (no separator)
    - GMenu:
      - Apps: fixed tiny memory leak when stopping GMenu
      - Apps: New app: avoid multiple dialogues and select the first item
        in the list
      - Entry: with GTK 3.10: both the entry and the menu receive the signal
        that a key is pressed. This causes a bug: each character is doubled
      - Menus: added a workaround for libgnomemenu if XDG_CURRENT_DESKTOP
        is not defined (e.g. when using XFCE)
    - Icon Effect: config: move 'opening animation' option to 'when
      clicking on a launcher' section
    - MusicPlayer: fixed a bug when changing the player and fixed a few
      small memory leaks
    - System Monitor:
      - SWAP percent was computed twice
      - Fixed a possible crash if we want to display more than 4 values in
        a graph view
    - Shortcuts: bookmarks file:
      - If the file doesn't exist, first create the directory before
        creating an empty file
      - Check for the existence of the old and new bookmark files to decide
        which one to use (useful for Mint 14 for instance)
    - Weather: on double-click on the main icon, show the hourly forecast
    - Translations: imported translations from Launchpad.
  * debian/control:
    - bumped Cairo-Dock (core) versions
    - bumped Standards-Version to 3.9.4 (no change needed)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 10 Nov 2013 23:53:07 +0100
