=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libetpan-dev,
                libexif-dev,
                libgl1-mesa-dev | libgl-dev,
-               libgldi-dev (>= 3.3.1),
+               libgldi-dev (>= 3.3.2),
                libglib2.0-cil-dev,
                libglib2.0-dev (>= 2.20),
                libglu1-mesa-dev | libglu-dev,
@@ -47,7 +47,7 @@
                ruby,
                valac,
                x11proto-xf86vidmode-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.glx-dock.org/
 
 Package: cairo-dock-plug-ins-integration
@@ -55,7 +55,7 @@
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
 Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.3.1),
+Depends: cairo-dock-core (>= 3.3.2),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -72,7 +72,7 @@
 Section: graphics
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.3.1),
+Depends: cairo-dock-core (>= 3.3.2),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          curl,
          python,
